%define name dnotify 
%define version 0.18.0
%define release %mkrel 10

Summary: Execute command when directory changes
Name: %{name}
Version: %{version}
Release: %{release}
# Not working anymore ??
# URL: http://oskarsapps.mine.nu/dnotify.html
Source0: http://oskarsapps.mine.nu/src/%{name}-%{version}.tar.bz2
Source1: %{name}.init
Source2: %{name}.sysconfig
Source3: %{name}.d.README
Patch0: dnotify-include-stat_h.patch
License: GPL
Group: File tools
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
Dnotify is a simple program that makes it possible
to execute a command every time the contents of a
specific directory change in Linux. It is run from
the command line and takes two arguments: one or
more directories to monitor and a command to
execute whenever a directory has changed. Options
control what events to trigger on: when a file was
read in the directory, when one was created/deleted,
etc.

%prep
%setup -q
%patch0 -p0 -b .stat_h

%build
%configure
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT

%makeinstall
%{__install} -m755 -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}.d
%{__install} -m755 -d $RPM_BUILD_ROOT%{_initrddir}
%{__install} -m700 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/%{name}
%{__install} -m600 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
%{__install} -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}.d/README

%find_lang %name

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/dnotify
%{_mandir}/*/*
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%dir %{_sysconfdir}/sysconfig/%{name}.d
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}.d/README
%doc README NEWS AUTHORS COPYING INSTALL



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.18.0-10.mga3
+ Revision: 348894
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 12 2012 colin <colin> 0.18.0-9.mga2
+ Revision: 235409
- Add LSB headers to initscripts (mga#5262)
- Split out small bzipped sources to store as plain text.

* Sun May 08 2011 nanardon <nanardon> 0.18.0-8.mga1
+ Revision: 96451
- imported package dnotify

